gstreamermm: Gst::Fourcc Class Reference

Public Member Functions | Public Attributes

# Gst::Fourcc Class Reference
[gstreamermm Helper Classes]

A class that represents a 4 byte identifier (used in codecs). More...

List of all members.

## Public Member Functions
| Fourcc ()
| Construct an undefined Gst::Fourcc.
| Fourcc (const Fourcc& src)
| Construct a Gst::Fourcc from another.
| Fourcc (char first, char second, char third, char fourth)
| Construct a Gst::Fourcc from 4 characters.
| Fourcc (const Glib::ustring& s)
| Construct a Gst::Fourcc from an input string.
| Fourcc (guint32 fourcc)
| Construct a Gst::Fourcc from a 32 bit unsigned integer.
| Fourcc (const Glib::ValueBase& gst_fraction_value)
| Construct a Gst::Fourcc from a GST_TYPE_FOURCC.
| Fourcc (const GValue& gst_fraction_value)
| Construct a Gst::Fourcc from a GST_TYPE_FOURCC.
Fourcc& | operator= (const Fourcc& src)
guint32 | get_fourcc () const
| Gets the four characters converted into a guint32 fourcc value with host endianness.
## Public Attributes
char | first
char | second
char | third
char | fourth

## Detailed Description

A class that represents a 4 byte identifier (used in codecs).

Gst::Fourcc is used to store a four byte identifier in Gst::Structure of Gst::Caps as a value representing a property (see GStreamer Application Development Manual section 8.2.2 and GstValue docs). When the value is set, it is transformed to a GStreamer GType so retrieving the value is a bit different. The class can be used in setting and getting a Gst::Structure field like so:

     Glib::Value<Gst::Fourcc> value;
     value.init(Glib::Value<Gst::Fourcc>::value_type());
     value.set(Gst::Fourcc('M', 'J', 'P', 'G'));

     Gst::Structure structure("my-structure");
     structure.set_field("id", value);
     ...
     Glib::ValueBase gst_value;
     structure.get_field("id", gst_value);
     Gst::Fourcc fourcc(gst_value);
     char first_char = fourcc.first;
     ...

## Constructor & Destructor Documentation

Gst::Fourcc::Fourcc | ( |  | ) |

Construct an undefined Gst::Fourcc.

Gst::Fourcc::Fourcc | ( | const Fourcc& | src | ) |

Construct a Gst::Fourcc from another.

Gst::Fourcc::Fourcc | ( | char | first,
|  | char | second,
|  | char | third,
|  | char | fourth |
| ) |  |  |

Construct a Gst::Fourcc from 4 characters.

Gst::Fourcc::Fourcc | ( | const Glib::ustring & | s | ) | `[explicit]`

Construct a Gst::Fourcc from an input string.

Caller is responsible for ensuring the input string consists of at least four characters.

Gst::Fourcc::Fourcc | ( | guint32 | fourcc | ) | `[explicit]`

Construct a Gst::Fourcc from a 32 bit unsigned integer.

Gst::Fourcc::Fourcc | ( | const Glib::ValueBase & | gst_fraction_value | ) | `[explicit]`

Construct a Gst::Fourcc from a GST_TYPE_FOURCC.

Gst::Fourcc::Fourcc | ( | const GValue & | gst_fraction_value | ) | `[explicit]`

Construct a Gst::Fourcc from a GST_TYPE_FOURCC.

## Member Function Documentation

guint32 Gst::Fourcc::get_fourcc | ( |  | ) | const

Gets the four characters converted into a guint32 fourcc value with host endianness.

Fourcc& Gst::Fourcc::operator= | ( | const Fourcc& | src | ) |

## Member Data Documentation

char Gst::Fourcc::first

char Gst::Fourcc::fourth

char Gst::Fourcc::second

char Gst::Fourcc::third

The documentation for this class was generated from the following file:

- gstreamermm/value.h